#include <sys/types.h>
#include "../libsyncml/include/syncml.h"

#include <iostream>
#include <fstream>
#include <algorithm>

class myBase : public SyncMLDatabase {
 public:
  myBase() : SyncMLDatabase() {};
};

class mySesHandler: public SMLSessionHandler {
public:
  virtual void sendAlerts() {
    sendDisplay("Single Data");
    vector<string> s;
    s.push_back("Multiple Data Nr. 1");
    s.push_back("Multiple Data Nr. 2");
    s.push_back("Multiple Data Nr. 3");
    sendDisplay(s);
  }
};

void main() {
  ofstream o("toserver");
  ifstream i("toclient");
  SyncMLSingleThread *tester = new SyncMLSingleThread();
  tester->addDatabase(new myBase);
  tester->connect(&i,&o,SMLURI("http://synccliet.com/clientapp","TestClient"),SMLURI("http://syncserver.org/server"), new mySesHandler());
  delete tester;
  i.close();
  o.close();
}
